#include <iostream>
#include<fstream>
using namespace std;
int main()
{
	ifstream f1("DOITLP.INP");
	long long int n;
	long long int z=0;
	f1>>n;
	f1.close();
	ofstream f2("DOITLP.OUT");
	int f[70];
	char s[70];
	for(int i=0;i<70;i++)
	{
			f[i]=n%16;
			if(f[i]==10) s[i]='A';
			if(f[i]==11) s[i]='B';
			if(f[i]==12) s[i]='C';
			if(f[i]==13) s[i]='D';
			if(f[i]==14) s[i]='E';
			if(f[i]==15) s[i]='F';
			if((f[i]>=0)&&(f[i]<=9))
			{
				s[i]=char(f[i]+48);
			}
			n=n/16;
			if(n==0) break;
			else z++;
	}
	for(int k=z;k>=0;k--)
	{
		f2<<s[k];
	}
	return 0;
}
